<?php

/* Onpub (TM)
 * Copyright (C) 2010 Onpub Co. <http://onpubco.com/>
 * Author: Corey H.M. Taylor <corey@onpubco.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2.
 */

if ($onpub_section && $onpub_article) {
  en('<div class="yui-main">');
  en('<div class="yui-b">');
  en('<div class="yui-ge"> <!-- the "special grid" -->');
  en('<div class="yui-u first">');

  en('<h1>' . $onpub_article->title . '</h1>');
  en($onpub_article->content);

  en('<div class="yui-main">');
  en('<div class="yui-b">');
  en('<div class="yui-gc article-info">');
  en('<div class="yui-u first">');

  en('Published: ' . $onpub_article->getCreated()->format('M j, Y') . ' | Updated: ' .  $onpub_article->getModified()->format('M j, Y'));

  en('</div>');
  en('<div class="yui-u" style="margin: 0px; text-align: right;">');

  if (file_exists($onpub_dir_local . $onpub_inc_article_info)) include $onpub_dir_local . $onpub_inc_article_info;

  en('</div>');
  en('</div>');
  en('</div>');
  en('</div>');

  en('</div>');
  en('<div class="yui-u section-nav">');

  en('<h1><a href="index.php?sectionID=' . $onpub_section->ID . '">' . $onpub_section->name . '</a></h1>');

  $articles = $onpub_articles->select(null, $onpub_section->ID);

  en('<ul class="section-nav">');

  foreach ($articles as $a) {
    if ($a->ID == $onpub_article->ID) {
      en('<li>' . $a->title . '</li>');
    }
    else {
      en('<li><a href="index.php?sectionID=' . $onpub_section->ID . '&amp;articleID=' . $a->ID . '">' . $a->title . '</a></li>');
    }
  }

  en('</ul>');

  en('</div>');
  en('</div>');
  en('</div>');
  en('</div>');
}

if ($onpub_section && !$onpub_article) {
  en('<h1>Article ' . $_GET['articleID'] . ' not found... <a href="index.php">Home</a></h1>');
}

if (!$onpub_section && $onpub_article) {
  en('<h1>Section ' . $_GET['sectionID'] . ' not found... <a href="index.php">Home</a></h1>');
}

if (!$onpub_section && !$onpub_article) {
  en('<h1>Section ' . $_GET['sectionID'] . ' and Article ' . $_GET['articleID'] . ' not found... <a href="index.php">Home</a></h1>');
}

?>